Subject: [mmox] Which Target Audience

From: Dan Olivares <[email-masked]>
Date: Sat, 28 Feb 2009 00:43:03 -0500

So,

As far as the draft charter and deliverables go..    it doesn't sound
like we've expressed a definate target audience for them.  As, I've
stated in previous correspondance, target audience makes a big
difference when it comes to writing documents.  (for example, we would
highlight use cases more for businesses and features and flexibility
for application developers)  By looking at the documents, it /appears/
as if it's for the application developer, however, some finite clarity
would be good.  Multiple audiences is fine so long as we can isolate
which we are writing the standard for.  Ideally, we should have the
target audience in mind in everything we write and directly printed on
the charter and in the text of each deliverable.

A few potential target audiences:

1. Application Developer
2. Virtual World Integrator
3. Middleware Developer
4. End User
5. Companies
6. IETF???
7. Media??

Best Regards

Daniel Olivares

On Fri, Feb 27, 2009 at 11:36 PM, Dan Olivares <[email-masked]> wrote:
> "I stand by my statement about opensouce being non-user-friendly, and
> ultimately about closed societies of coders who aren't accountable to
> the general public and sometimes operate outside of restraints of
> liberal democracy in ways that are often destructive (promoting hacker
> culture and crime).", And, that's your opinion.   My point in the last
> e-mail was asking for clarification on your statement.  You didn't
> really clarify it, instead, you chose to make another statement.
>
> So, lets break it down, point by point.
>
> "I don't at all feel compelled to have to provide some lengthy
> exegesis on why this is true about every single one of the types of
> software you indicate although I could write pages"
>
> Good, because this is really off topic.
>
> I don't feel compelled to have to provide some lengthy exegesis on how
> hacker culture and crime have nothing to do with open source
> development..   since it's an obvious red herring.
>
> According to w3schools.com, FireFox currently has 45.5% of the browser
> market share.    It's obviously meeting the expectations of /some/
> users. (Ref: http://www.w3schools.com/browsers/browsers_stats.asp )
>
> Additionally, the bug that you reported is just one of several hundred
> bugs found relating to 'save password'.  Some of them ask to redesign
> the save password dialog, some of them say, "Save password prompt is
> gone; no passwords could be saved in preferences ", which contradicts
> what you suggested is happening.
>
> On the firefox bugtracker, I didn't see the specific bug you
> mentioned, however, I did see lots of bugs (Ref:
> https://bugzilla.mozilla.org/buglist.cgi?query_format=specific&order=relevance+desc&bug_status=__open__&product=Firefox&content=save+password
> )
>
> On the Internet Explorer 8 bugtracker (microsoft doesn't have a public
> bugtracker for non-beta versions) , I also see a lot of bugs ( Ref:
> https://connect.microsoft.com/IE/feedback/SearchResults.aspx?FeedbackOverviewType=6
> )
>
> There's pages and blog posts that contain gripes about firefox: (ex:
> http://boonyew.com/interaction/2008/12/01/usability-gripes-with-firefoxs-download-feature/
> )
>
> There's pages and blog posts that contain gripes about Internet
> Explorer: ( ex: http://www.pcmag.com/article2/0,2817,2156566,00.asp )
>
> As far as 'security' goes...   Steve Gibson ( hosts the Security Now
> Podcast and computer security researcher ref:
> http://en.wikipedia.org/wiki/Steve_Gibson_(computer_programmer) ) uses
> FireFox with the NoScript and clickhijack addon because he feels it's
> more secure then Internet Explorer. (he expresses this on the Security
> Now podcast.  Also, there are other people discussing it on:
> http://forum.ie7pro.com/viewtopic.php?id=99 ).  Often, Steve is
> criticized for 'security over usability'.
>
> We each choose our own poison when it comes to browsers as well as
> software in general.  Some of us prefer IE, some of us prefer FireFox,
> some of us prefer Safari.
> It really is a big deal, however, that January's browser statistics
> say FX(firefox)'s market share is 45.5% and if you add up the three
> versions of IE represented on that table, and you get 44.8%.   Just
> because more people have chosen to use firefox in the month of
> January, doesn't necessarily mean that open source software is better.
>  It just means that more people have chosen to use firefox in January.
> (for the record, this e-mail was written in the gmail web interface
> with Internet Explorer)
>
> Sincerely
>
> Daniel Olivares
>
>
>
>
>
>
> On Fri, Feb 27, 2009 at 10:03 PM, [email-masked]
> <[email-masked]> wrote:
>> From: Dan Olivares <[email-masked]>
>> Subject: Re: [mmox] mmox Digest, Vol 1, Issue 163
>>
>> I stand by my statement about opensouce being non-user-friendly, and ultimately about closed societies of coders who aren't accountable to the general public and sometimes operate outside of restraints of liberal democracy in ways that are often destructive (promoting hacker culture and crime).
>>
>> I don't at all feel compelled to have to provide some lengthy exegesis on why this is true about every single one of the types of software you indicate although I could write pages. A really good example is Firefox, which harasses you constantly asking you if you want to save your password forever or for this session or never, based on the misguided concept that people just love the idea of all those options constantly shoved at them with only an opt-out, that they just are dying to have the option to always save their log-ons -- although of course, that creates security problems especially on multi-user computers which are *most* computers. It's the sort of hilarious "solution" that came about because of people complaining in both directions and opensourcery then providing all these choices and add-ons.
>>
>> To get rid of it, all you have to do (which you can't "just know" until you finally find it) is go to tools/options/security/uncheck remember password (but it keeps falling out and needs redoing after each update). If you google this issue, you will see many frustrated people, and many geeks offering hilarious and contorted ways to get rid of it. But...if you have checked off a box saying "remember passwords" why can't it just do that, and not keep offering you choices each time? It's an example of the wonky non-usefulness of geekitude that the average person simply finds stupid and annoying but can't escape.Firefox constantly hangs and stalls, it constantly crashes and has to remember itself. Yet we're all frog-marched into using it or told we're not cool and starving little babies or something if we use IE.
>>
>>
>> ____________________________________________________________
>> Put your loved ones in good hands with quality senior assisted living. Click now!
>> http://thirdpartyoffers.juno.com/TGL2141/fc/BLSrjpTJkoM1onFG7s0PvKMwppvxViHUBQ9bpM2Tunrdy0gf6BiD5x1Cr7q/
>> _______________________________________________
>> mmox mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/mmox
>>
>

---

From: Morgaine <[email-masked]>
Date: Sat, 28 Feb 2009 08:34:04 +0000

On Sat, Feb 28, 2009 at 5:43 AM, Dan Olivares <[email-masked]> wrote:

> like we've expressed a definate target audience for them.
>

Dan, it's a good idea to define the target audience as you suggest, for
completeness.  By default though, the target audience for the final
deliverables is inevitably the same one as for pretty much every other IETF
protocol standard and workgroup:  everyone who is interested in the design,
implementation, deployment and use of the protocols.  It's a very broad
target audience.

It's worth noting that while the target audience is broad, the level of
detail in IETF standards is of course that required for successful
unambiguous implementation of a protocol, and hence the specifications are
necessarily technical in nature.  Broad audience does not imply "dumbing
down".

The target audience for the charter is rather narrower than that of the
deliverables, since a central purpose of a charter is to provide a helpful
framework for cooperation between the people in the workgroup.

I find that this Internet draft gives remarkably good insights into our
initial target audiences within the process of IETF protocol
standardization, namely during BoF and WG formation time:
http://tools.ietf.org/html/draft-narten-successful-bof-04 .

Morgaine.

On Sat, Feb 28, 2009 at 5:43 AM, Dan Olivares <[email-masked]> wrote:

> > http://en.wikipedia.org/wiki/Steve_Gibson_(computer_programmer)<http://en.wikipedia.org/wiki/Steve_Gibson_%28computer_programmer%29>) uses
> >> I stand by my statement about opensouce being non-user-friendly, and
> ultimately about closed societies of coders who aren't accountable to the
> general public and sometimes operate outside of restraints of liberal
> democracy in ways that are often destructive (promoting hacker culture and
> crime).
> >>
> >> I don't at all feel compelled to have to provide some lengthy exegesis
> on why this is true about every single one of the types of software you
> indicate although I could write pages. A really good example is Firefox,
> which harasses you constantly asking you if you want to save your password
> forever or for this session or never, based on the misguided concept that
> people just love the idea of all those options constantly shoved at them
> with only an opt-out, that they just are dying to have the option to always
> save their log-ons -- although of course, that creates security problems
> especially on multi-user computers which are *most* computers. It's the sort
> of hilarious "solution" that came about because of people complaining in
> both directions and opensourcery then providing all these choices and
> add-ons.
> >>
> >> To get rid of it, all you have to do (which you can't "just know" until
> you finally find it) is go to tools/options/security/uncheck remember
> password (but it keeps falling out and needs redoing after each update). If
> you google this issue, you will see many frustrated people, and many geeks
> offering hilarious and contorted ways to get rid of it. But...if you have
> checked off a box saying "remember passwords" why can't it just do that, and
> not keep offering you choices each time? It's an example of the wonky
> non-usefulness of geekitude that the average person simply finds stupid and
> annoying but can't escape.Firefox constantly hangs and stalls, it constantly
> crashes and has to remember itself. Yet we're all frog-marched into using it
> or told we're not cool and starving little babies or something if we use IE.
> >>
> >>